> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/annotation/annotations-and-tools.md).

# Annotation tools for your viewer

Enhance viewer engagement with annotation tools that enable text selection, panning, and more. Discover how these tools capture user inputs effortlessly for seamless interaction on web. The Apryse Web

When a user wants to create an annotation, select text or pan around the document they'll use their mouse and keyboard or touch the screen. A tool is just a way of capturing those inputs from the user and doing something in response. Tools automatically funnel user events into handler functions (for example mouseLeftUp, mouseMove, etc) and convert the mouse coordinates into document page coordinates automatically for you.

Annotation tools use the page coordinates to specify annotation properties, like position and dimension. By default, each annotation type has an associated tool, but that doesn't mean a tool can only be associated with one type of annotation. For example, you may have several sticky tools to create sticky annotations with different colors. You can also define a custom annotation and not associate any tool with it, instead creating the annotations programmatically.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-096769c06865bbdb779db7f75188c800261a2795%2Fb549a577e1b41564fcd153a869bc5feb9c95bd90-556x432.gif?alt=media)

*Figure 2. Creating sticky annotation using sticky annotation tool*

Full list of tool names can be found here: <https://sdk.apryse.com/api/web/Core.Tools.html#.ToolNames>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/annotation/annotations-and-tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
